### 5.1.30 ERROR

`Syntax:`
  `ERROR (` string_expression `)`
`Type:`
  none
`Purpose:`
  Immediately interrupts the current computation, returns to the top-level, and displays the argument `string_expression` as error message.

`Note:`
  This should be used as an emergency, resp. failure, exit within procedures.

`Example:`

      int i=1;
      proc myError() {ERROR("Need to leave now");i=2;}
      myError();
      ==>    ? Need to leave now
      ==>    ? leaving ::myError (0)
      i;
      ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.